jpeg(file="homogeneity1.jpg",width=400,height=400)
par(mar=c(4,4,0,0))
dv <- c(1,3.4,4.5,7.5,7,21,17,21,22)
iv <- c(2,3,4,5,6,8,10,12,14)

#plot(dv~iv)
#l <- lm(dv~iv)
#abline(l)

dv <- c(rnorm(5,2,.1),rnorm(5,4,.3),rnorm(5,6,.5),rnorm(5,8,.7),rnorm(5,10,.9),rnorm(5,12,1.2),rnorm(5,14,1.4),rnorm(5,16,1.6),rnorm(5,18,1.9))
#dv <- c(rnorm(5,2,1),rnorm(5,4,1),rnorm(5,6,1),rnorm(5,8,1),rnorm(5,10,1),rnorm(5,12,1),rnorm(5,14,1),rnorm(5,16,1),rnorm(5,18,1))
iv <- c(rep(1,5),rep(2,5),rep(3,5),rep(4,5),rep(5,5),rep(6,5),rep(7,5),rep(8,5),rep(9,5))
iv <- c(rep(1,10),rep(2,10),rep(3,10),rep(4,10),rep(5,10),rep(6,10),rep(7,10),rep(8,10),rep(9,10))

dv1 <- c(rnorm(10,2,1),rnorm(10,4,1),rnorm(10,6,1),rnorm(10,8,1),rnorm(10,10,1),rnorm(10,12,1),rnorm(10,14,1),rnorm(10,16,1),rnorm(10,18,1))
iv1 <- c(rep(1,10),rep(2,10),rep(3,10),rep(4,10),rep(5,10),rep(6,10),rep(7,10),rep(8,10),rep(9,10))
#dv1 <- c(-10,rnorm(10,4,1),-10,-10,-10,-10,-10,rnorm(10,16,1.8),-10)
#iv1 <- c(1,rep(2,10),3,4,5,6,7,rep(8,10),9)
#dv <- c(2,4,6,8,10,12,14,16,18)
#iv <- c(1,2,3,4,5,6,7,8,9)        
boxplot(dv1~factor(iv1),xlim=c(0,10),ylim=c(0,20),axes=F,xlab="",ylab="",border="grey")
axis(1,at=c(0,2,4,6,8,10),pos=0,lwd=2)
axis(2,las=2,lwd=2)
mtext("DV",2,line=3,font=2)
mtext("IV",1,line=3,font=2)

l <- lm(dv1~iv)
abline(l,lwd=2)

points(dv1~iv,col="red",pch=20,cex=1)
points(dv1~iv,col="black",pch=21,cex=1.1)
dev.off()

jpeg(file="homogeneity2.jpg",width=300,height=300)
par(mar=c(4,4,1,1))
dv <- c(2,4.5,5,10,8,15,11,19,15)
iv <- c(1,2,3,4,5,6,7,8,9)     
plot(dv~iv,xlim=c(0,10),ylim=c(0,20),axes=F,xlab="",ylab="")
axis(1,at=c(0,2,4,6,8,10),pos=0,lwd=2)
axis(2,las=2,lwd=2)
mtext("DV",2,line=3,font=2)
mtext("IV",1,line=3,font=2)

points(dv~iv,col="red",pch=20,cex=1)
points(dv~iv,col="black",pch=21,cex=1.1)
l <- lm(dv~iv)
abline(l,lwd=2)
dev.off()

jpeg(file="homogeneity3.jpg",width=300,height=300)
par(mar=c(4,4,1,1))
 plot(l$fitted.values,l$residuals,axes=F,xlab="",ylab="",ylim=c(-4,4))
axis(1,at=c(0,2,4,6,8,10,12,14,16,18,20),pos=-4,lwd=2)
axis(2,las=2,lwd=2)
mtext("Residuals",2,line=3,font=2,)
mtext("Predicted values",1,line=3,font=2)
lines(c(0,20),c(0,0))
dev.off()


jpeg(file="rsquared1.jpg",width=300,height=300)
par(mar=c(4,4,1,1))
dv <- c(2,4,6,8,10,12,14,16)
iv <- c(2,4,6,8,10,12,14,16)
plot(iv,dv,axes=F,xlab="",ylab="",ylim=c(0,20),type="n")
axis(1,at=c(0,2,4,6,8,10,12,14,16,18,20),pos=0,lwd=2)
axis(2,las=2,lwd=2)
mtext("DV",2,line=3,font=2,)
mtext("IV",1,line=3,font=2)
points(dv~iv,col="red",pch=20,cex=1)
points(dv~iv,col="black",pch=21,cex=1.1)
l <- lm(dv~iv)
abline(l,lwd=2)
dev.off()

jpeg(file="rsquared2.jpg",width=300,height=300)
par(mar=c(4,4,1,1))
dv <- c(2,3,7,6,14,12,13,15)
iv <- c(2,4,6,8,10,12,14,16)
plot(iv,dv,axes=F,xlab="",ylab="",ylim=c(0,20),type="n")
axis(1,at=c(0,2,4,6,8,10,12,14,16,18,20),pos=0,lwd=2)
axis(2,las=2,lwd=2)
mtext("DV",2,line=3,font=2,)
mtext("IV",1,line=3,font=2)
points(dv~iv,col="red",pch=20,cex=1)
points(dv~iv,col="black",pch=21,cex=1.1)
l <- lm(dv~iv)
abline(l,lwd=2)
dev.off()
